# Release notes

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## Version [v0.1.19] -- 2024-01-28

### Changed

* Update the instructions about the GitHub interface `genkeys` prints. ([#84], [#85])

## Version [v0.1.18] -- 2023-09-27

### Changed

* Declare compatibility with Documenter 1.0. ([#80], [#81])

## Version [v0.1.17] -- 2023-06-29

### Changed

* The compiled CSS files generated by DocumenterTools are now minified. ([#71])

## Version [v0.1.16] -- 2022-09-14

### Fixed

* DocumenterTools now runs `ssh-keygen` in a temporary directory (rather than current working directory), avoiding issues with filesystem permissions or existing files. ([#64], [#65])

## Version [v0.1.15] -- 2022-07-24

### Changed

* Declare compatibility with DocStringExtensions 0.9. ([#59])
* Declare compatibility with AbstractTrees 0.4. ([#60])

## Version [v0.1.14] -- 2022-05-08

### Changed

* DocumenterTools now requires at least Julia 1.6.
* `DocumenterTools.genkeys` function now uses the `OpenSSH_jll` for the `ssh-keygen` binary and therefore no longer requires the user to have OpenSSH installed. ([#36], [#56])
* Improvements to the documentation of `OutdatedWarning.generate` and it now also prints a warning in the terminal. ([#55])

### Fixed

* DocumenterTools now always generated the SSH keys in the PEM file format to make sure that they also work on older systems. ([#48])

## Version [v0.1.13] -- 2021-06-17

### Changed

* The wording of the text in the the old version warning box was improved. ([#54])

## Version [v0.1.12] -- 2021-06-10

### Changed

* Declared compatibility with Documenter 0.27. ([#52])

## Version [v0.1.11] -- 2021-06-06

### Added

* DocumenterTools now provides the `OutdatedWarning.generate` function which can be used to add outdated version warnings to old documentation builds (on `gh-pages`). ([#51])

## Version [v0.1.10] -- 2021-04-18

### Changed

* Declare compatibility with Sass.jl 0.2. ([#49])

## Version [v0.1.9] -- 2020-12-09

### Changed

* Declare compatibility with Documenter 0.26. ([#46])

## Version [v0.1.8] -- 2020-10-20

* Fixes broken links in the documentation ([#43][github-43]) and reliance on old (broken) `pathof` behaviour in the tests ([#44]).

## Version [v0.1.7] -- 2020-06-24

### Changed

`DocumenterTools.genkeys` now puts "Documenter" as the comment in the SSH key file, instead of the default username and hostname. ([#40])

## Version [v0.1.6] -- 2020-06-13

### Changed

* Declared compatibility with Documenter 0.25. ([#39])

## Version [v0.1.5] -- 2020-03-05

### Fixed

* Fixes to the `Themes.compile` function, including making sure that the Sass include path is properly set up. ([#32], [#35])

## Version [v0.1.4] -- 2020-01-10

### Fixed

* `Travis.genkeys()` now works on Windows even if the UNIX-y `which` is not available. ([#33])

## Version [v0.1.3] -- 2019-11-21

### Added

* The new `Themes` submodule provides an experimental API to compile Documenter Sass themes. ([#27])

## Version [v0.1.2] -- 2019-10-08

### Deprecated

* The `Travis` submodule has been deprecated. Instead of `Travis.genkeys`, use `DocumenterTools.genkeys`. ([#30])

## Version [v0.1.1] -- 2019-06-10

### Added

* The `generate(path::String)` method now defaults to `"docs"` as the default path, allowing it to be simply called as `generate()` in e.g. the root directory of a package. ([#22])

### Changed

* The generated values for the `format` argument of `makedocs` are now consistent with the new API introduced in Documenter v0.21. ([#21])

## Version [v0.1.0] -- 2018-10-29

* Initial release.


<!-- Links generated by Changelog.jl -->

[v0.1.0]: https://github.com/JuliaDocs/DocumenterTools.jl/releases/tag/v0.1.0
[v0.1.1]: https://github.com/JuliaDocs/DocumenterTools.jl/releases/tag/v0.1.1
[v0.1.2]: https://github.com/JuliaDocs/DocumenterTools.jl/releases/tag/v0.1.2
[v0.1.3]: https://github.com/JuliaDocs/DocumenterTools.jl/releases/tag/v0.1.3
[v0.1.4]: https://github.com/JuliaDocs/DocumenterTools.jl/releases/tag/v0.1.4
[v0.1.5]: https://github.com/JuliaDocs/DocumenterTools.jl/releases/tag/v0.1.5
[v0.1.6]: https://github.com/JuliaDocs/DocumenterTools.jl/releases/tag/v0.1.6
[v0.1.7]: https://github.com/JuliaDocs/DocumenterTools.jl/releases/tag/v0.1.7
[v0.1.8]: https://github.com/JuliaDocs/DocumenterTools.jl/releases/tag/v0.1.8
[v0.1.9]: https://github.com/JuliaDocs/DocumenterTools.jl/releases/tag/v0.1.9
[v0.1.10]: https://github.com/JuliaDocs/DocumenterTools.jl/releases/tag/v0.1.10
[v0.1.11]: https://github.com/JuliaDocs/DocumenterTools.jl/releases/tag/v0.1.11
[v0.1.12]: https://github.com/JuliaDocs/DocumenterTools.jl/releases/tag/v0.1.12
[v0.1.13]: https://github.com/JuliaDocs/DocumenterTools.jl/releases/tag/v0.1.13
[v0.1.14]: https://github.com/JuliaDocs/DocumenterTools.jl/releases/tag/v0.1.14
[v0.1.15]: https://github.com/JuliaDocs/DocumenterTools.jl/releases/tag/v0.1.15
[v0.1.16]: https://github.com/JuliaDocs/DocumenterTools.jl/releases/tag/v0.1.16
[v0.1.17]: https://github.com/JuliaDocs/DocumenterTools.jl/releases/tag/v0.1.17
[v0.1.18]: https://github.com/JuliaDocs/DocumenterTools.jl/releases/tag/v0.1.18
[v0.1.19]: https://github.com/JuliaDocs/DocumenterTools.jl/releases/tag/v0.1.19
[#21]: https://github.com/JuliaDocs/DocumenterTools.jl/issues/21
[#22]: https://github.com/JuliaDocs/DocumenterTools.jl/issues/22
[#27]: https://github.com/JuliaDocs/DocumenterTools.jl/issues/27
[#30]: https://github.com/JuliaDocs/DocumenterTools.jl/issues/30
[#32]: https://github.com/JuliaDocs/DocumenterTools.jl/issues/32
[#33]: https://github.com/JuliaDocs/DocumenterTools.jl/issues/33
[#35]: https://github.com/JuliaDocs/DocumenterTools.jl/issues/35
[#36]: https://github.com/JuliaDocs/DocumenterTools.jl/issues/36
[#39]: https://github.com/JuliaDocs/DocumenterTools.jl/issues/39
[#40]: https://github.com/JuliaDocs/DocumenterTools.jl/issues/40
[#44]: https://github.com/JuliaDocs/DocumenterTools.jl/issues/44
[#46]: https://github.com/JuliaDocs/DocumenterTools.jl/issues/46
[#48]: https://github.com/JuliaDocs/DocumenterTools.jl/issues/48
[#49]: https://github.com/JuliaDocs/DocumenterTools.jl/issues/49
[#51]: https://github.com/JuliaDocs/DocumenterTools.jl/issues/51
[#52]: https://github.com/JuliaDocs/DocumenterTools.jl/issues/52
[#54]: https://github.com/JuliaDocs/DocumenterTools.jl/issues/54
[#55]: https://github.com/JuliaDocs/DocumenterTools.jl/issues/55
[#56]: https://github.com/JuliaDocs/DocumenterTools.jl/issues/56
[#59]: https://github.com/JuliaDocs/DocumenterTools.jl/issues/59
[#60]: https://github.com/JuliaDocs/DocumenterTools.jl/issues/60
[#64]: https://github.com/JuliaDocs/DocumenterTools.jl/issues/64
[#65]: https://github.com/JuliaDocs/DocumenterTools.jl/issues/65
[#71]: https://github.com/JuliaDocs/DocumenterTools.jl/issues/71
[#80]: https://github.com/JuliaDocs/DocumenterTools.jl/issues/80
[#81]: https://github.com/JuliaDocs/DocumenterTools.jl/issues/81
[#84]: https://github.com/JuliaDocs/DocumenterTools.jl/issues/84
[#85]: https://github.com/JuliaDocs/DocumenterTools.jl/issues/85
